#include <htc.h>
#include <stdio.h>
#include <stdlib.h>
#define _XTAL_FREQ 20000000

#define DAC_CS     RC0
#define DAC_LDAC   RC1


void init_dac()
{
   DAC_CS = 0b1;
   DAC_LDAC = 0b1;

}

void write_dac(unsigned int data) {
	unsigned char d1;
	unsigned char d2;
   
               
	DAC_LDAC = 0b1;
	
	d1 = data / 0x100;
 	data = data - (d1 * 0x100);
	d1 = (d1 & 0x0F) | 0x30;

	d2 = data;

	DAC_CS = 0b0;

	SSPBUF = d1;
	__delay_us(50);

	SSPBUF = d2;
	__delay_us(50);

   DAC_CS = 0b1;

   DAC_LDAC = 0b0;
   __delay_us(10);
   
   DAC_LDAC = 0b1;
}
